# FollowPathConstraint(Constraint)

base classes — `bpy_struct`, `Constraint`

class `bpy.types.``FollowPathConstraint`(Constraint)

  Lock motion to the target path

  `forward_axis`

    Axis that points forward along the path

    Type: | enum in [‘FORWARD_X’, ‘FORWARD_Y’, ‘FORWARD_Z’, ‘TRACK_NEGATIVE_X’, ‘TRACK_NEGATIVE_Y’, ‘TRACK_NEGATIVE_Z’], default ‘FORWARD_X’

  `offset`

    Offset from the position corresponding to the time frame

    Type: | float in [-300000, 300000], default 0.0

  `offset_factor`

    Percentage value defining target position along length of curve

    Type: | float in [0, 1], default 0.0

  `target`

    Target Object

    Type: | `Object`

  `up_axis`

    Axis that points upward

    Type: | enum in [‘UP_X’, ‘UP_Y’, ‘UP_Z’], default ‘UP_X’

  `use_curve_follow`

    Object will follow the heading and banking of the curve

    Type: | boolean, default False

  `use_curve_radius`

    Object is scaled by the curve radius

    Type: | boolean, default False

  `use_fixed_location`

    Object will stay locked to a single point somewhere along the length of the curve regardless of time

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Constraint.name` `Constraint.type` `Constraint.owner_space` `Constraint.target_space` `Constraint.mute` `Constraint.show_expanded` | `Constraint.is_valid` `Constraint.active` `Constraint.is_proxy_local` `Constraint.influence` `Constraint.error_location` `Constraint.error_rotation`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`